Package org.eclipse.emf.compare.provider.utils

# Interface IStyledString

public interface IStyledString
Utility class that mimics the JFace's StyledString.

## Nested Class Summary

Nested Classes
Modifier and Type
Interface
Description
`static interface`
`IStyledString.IComposedStyledString`
An iterable of `IStyledString`.
`static final class`
`IStyledString.Style`
A style class for `IStyledString`.

## Method Summary

Modifier and Type
Method
Description
`String`
`getString()`
Returns the Java string for this styled string.
`IStyledString.Style`
`getStyle()`
Returns the style associated with this string.

## Method Details

### getString

String getString()
Returns the Java string for this styled string.

Returns:
  the Java string for this styled string.

### getStyle

IStyledString.Style getStyle()
Returns the style associated with this string.

Returns:
  the style associated with this string.